The --enable-xim needs to be removed from the ebuild. The explanation is in the
file already.
# You cannot use `use_enable ...` here. im-ja's configure script
# doesn't distinguish --enable-canna from --disable-canna, so
# --enable-canna stands for --disable-canna in the script ;-(
--- im-ja-1.0-r1.ebuild.OLD 2004-04-04 12:28:34.264210778 +0300
+++ im-ja-1.0-r1.ebuild 2004-04-04 12:29:10.234118060 +0300
@@ -50 +50 @@
- gnome2_src_compile --enable-xim $myconf || die
+ gnome2_src_compile $myconf || die
Right. I mistakenly replaced $myconf with --enable-xim when I
introduced 1.0 ebuild, and added $myconf back in 1.0-r1 but I
forgot to remove --enable-xim. I added the comment lines, though ;-(
Anyhow, the problem is fixed in CVS. Thanks for the report and patch.